package com.bonus.core.account.v3.mq.send.model;

import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel("账户状态变动情况")
@LeNiuDecryptDataProcess
@Data
public class AccStatusChangeModel {
   private Long merchantId;
   private Long custId;
   @LeNiuDecryptField
   private String custName;
   private Integer accStatus;
   private LocalDateTime upDateTime;

   public Long getMerchantId() {
      return this.merchantId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public LocalDateTime getUpDateTime() {
      return this.upDateTime;
   }

   public void setMerchantId(final Long merchantId) {
      this.merchantId = merchantId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public void setUpDateTime(final LocalDateTime upDateTime) {
      this.upDateTime = upDateTime;
   }




}
